- category: potential
  customVariables: []
  description: |-
    CUSTOM RULE for javax.* package import
    `javax.*` packages must be renamed to `jakarta.*` for Jakarta EE9 compatibility.
  effort: 1
  labels:
  - konveyor.io/source
  - konveyor.io/target
  - tag
  links:
  - title: Renamed Packages
    url: https://github.com/wildfly-extras/batavia/blob/master/impl/ecl/src/main/resources/org/wildfly/extras/transformer/eclipse/jakarta-renames.properties
  message: '`javax.*` packages must be renamed to `jakarta.*` for Jakarta EE9 compatibility.'
  ruleID: javax-package-00001
  when:
    java.referenced:
      location: IMPORT
      pattern: javax*
